SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Functions
BitStream.h File Reference

This class allows you to write and read native types as a string of bits. More...

`#include "memoryoverride.h"`
`#include "defines.h"`
`#include "Export.h"`
`#include "types.h"`
`#include "string.h"`
`#include "wstring.h"`
`#include "assert.h"`
`#include <cmath>`
`#include <float.h>`

Go to the source code of this file.

## Classes

class | SLNet::BitStream

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | _copysign copysign

## Functions

template<class templateType >
BitStream & | SLNet::operator<< (BitStream &out, const templateType &c)
template<class templateType >
BitStream & | SLNet::operator>> (BitStream &in, templateType &c)

## Detailed Description

This class allows you to write and read native types as a string of bits.

BitStream is used extensively throughout RakNet and is designed to be used by users as well.

Definition in file BitStream.h.

## Macro Definition Documentation

#define _copysign copysign

Definition at line 40 of file BitStream.h.

Referenced by SLNet::BitStream::WriteOrthMatrix().